package com.javaseleniumtemplate.tests;

import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.LoginFlows;
import com.javaseleniumtemplate.flows.UnidadeAdicionalProdutoFlows;
import com.javaseleniumtemplate.pages.UnidadeAdicionalProdutoPage;
import org.testng.annotations.Test;

public class UnidadeAdicionalProdutoTests extends TestBase {

    UnidadeAdicionalProdutoPage unidadeAdicionalProdutoPage;
    UnidadeAdicionalProdutoFlows unidadeAdicionalProdutoFlows;
    LoginFlows loginFlows;

    //adicionar uma unidade adicional para o produto IODETO DE ARSENIO
    //verificar a conversão adicionada
    //editar e conferir o valor da conversão
    //adicionar uma segunda conversão para o mesmo produto
    //excluir apenas uma conversão da unidade
    //excluir todas as conversões da mesma unidade. Efetuando a exclusão por meio da tela inicial
    @Test
    public void testeUnidadeAddProduto() {
        unidadeAdicionalProdutoPage = new UnidadeAdicionalProdutoPage();
        unidadeAdicionalProdutoFlows = new UnidadeAdicionalProdutoFlows();
        loginFlows = new LoginFlows();

        loginFlows.efetuarLogin();
        unidadeAdicionalProdutoFlows.navegateUnidadeAdicionalProduto();
        unidadeAdicionalProdutoPage.adicionarUnidadeAdicional();
        unidadeAdicionalProdutoPage.verificarConversaoDeUnidade();
        unidadeAdicionalProdutoPage.editarConversao();
        unidadeAdicionalProdutoPage.adicionarSegundaConversao();
        unidadeAdicionalProdutoPage.excluirConversao();
        unidadeAdicionalProdutoPage.excluirUnidadeAdicionalProdutoIodeto();

        try {
            Thread.sleep(8000);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
    }

    //tentar adicionar texto, caracteres especiais e números, ao campo de relação
    //realizar a verificação para conferir se foram adicionados apenas o números ao campo relação
    //verificar os campos obrigatórios da tela unidade adicional
    @Test
    public void tentativaEscreverTextoCampoNumerico() {
        unidadeAdicionalProdutoPage = new UnidadeAdicionalProdutoPage();
        unidadeAdicionalProdutoFlows = new UnidadeAdicionalProdutoFlows();
        loginFlows = new LoginFlows();

        loginFlows.efetuarLogin();
        unidadeAdicionalProdutoFlows.navegateUnidadeAdicionalProduto();
        unidadeAdicionalProdutoPage.tentarEscreverTextoCampoNumerico();
        unidadeAdicionalProdutoPage.refresh();
        unidadeAdicionalProdutoPage.camposObrigatorios();


        try {
            Thread.sleep(8000);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
    }

}
